format_version: '1.0'


repository_url: https://github.com/swaywm/sway
issue_url: https://github.com/swaywm/sway/issues/5268


input_files:
  base_version:
    input_file: 'a-base.zip'
    commit_sha1: e262f93
  fix_attempt:
    - input_file: 'b-partial-1.diff'
      commit_sha1: bde3fa58efa48bde8fc4679e048e15518782e363
    - input_file: 'b-partial-2.diff'
      commit_sha1: 043e5ac015b8d863e3d76fcd5fbe6fff7978a5f6
    - input_file: 'b-partial-3.diff'
      commit_sha1: 7d414a78fa6f77193df56e8dcec64c3f15cdcb3a
    - input_file: 'b-partial-4.diff'
      commit_sha1: d564174dc41cf962c4b3f6e924b1cecacfabe658
    - input_file: 'b-partial-5.diff'
      commit_sha1: cc9c47b752593485f183943588370f590d4a31e2
    - input_file: 'b-partial-6.diff'
      commit_sha1: 5f1a7246787c23b0cc562cbc19dadf77b0141687
    - input_file: 'b-partial-7.diff'
      commit_sha1: decf33b60bb0d5935f3bde516cdf4e39f1c9f885
    - input_file: 'b-partial-8.diff'
      commit_sha1: 76414be7ae67cce07272e50bb10a588f1123ddc8
    - input_file: 'b-partial-9.diff'
      commit_sha1: 46a2080a5474d9e56492e8d486143e4102f50e25
    - input_file: 'b-partial-10.diff'
      commit_sha1: 2d49576d85d584dabeaf9d348b35b5003ee5db5e
    - input_file: 'b-partial-11.diff'
      commit_sha1: 04fef5894440fa0d0b5fcc22681b4391d7fb4066
    - input_file: 'b-partial-12.diff'
      commit_sha1: 305dbe6cef15b6067c09b5d8a2f4975a2d5d1607
    - input_file: 'b-partial-13.diff'
      commit_sha1: 2262ae60f4c405b881ca342a96f90865adc60ad0
    - input_file: 'b-partial-14.diff'
      commit_sha1: 2016d546376a0a2982ad041d8ffc91be9cbf4c0b

        
expected_fix:
  input_file: 'c-expected-fix.diff'
  commit_sha1: 6f0a0bd3852c6d92f30d43b9a39dc743987584ac

options:
  language: C
